QGIS Application - Bug report #9659
ftool's random point doesn’'t recognize memory layer's integer column
2014-02-25 10:59 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.2.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18227
Description

ftool's random point does not recognize memory layer's integer column as it's looking for column type "Integer”, and the memory layer's
integer column is registered as "integer".

Steps to reproduce:

1. create a memory layer

2. activate the edit mode and add an (integer) column

3. add a random polygon

4. save the changes and leave edit mode

5. Open ftool's random points window, select the memory layer you just created, and notice how the integer column is missing from the
dropdown list

Trivial patch coming in a bit.

History

#1 - 2014-02-25 11:11 PM - Mathieu Pellerin - nIRV

Here: https://github.com/qgis/QGIS/pull/1217

#2 - 2014-03-01 03:50 AM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes

#3 - 2014-03-01 08:27 AM - Jiirgen Fischer
- Target version changed from Version 2.4 to Future Release - High Priority

#4 - 2014-03-24 06:55 AM - Alexander Bruy
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Applied in master as commit:a089cff5f7

#5 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

2025-04-27 1/1



https://github.com/qgis/QGIS/pull/1217

